# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/distiller/project/recipes/usher, last modified Tue Nov  9 16:08:26 2021
# ------------------------------------------------

package:
  name: usher
  version: 0.5.0
source:
  - sha256: 0477859e9bca2db4eb5a150fbff16d80a534364134e9f75bdbb11b4e3a3378fe
    url: https://github.com/yatisht/usher/archive/v0.5.0.tar.gz
build:
  number: '0'
  string: h04c452d_0
requirements:
  build:
    - autoconf 2.69 pl5321hc0e15e3_11
    - bzip2 1.0.8 h0d85af4_4
    - c-ares 1.18.1 h0d85af4_0
    - ca-certificates 2021.10.8 h033912b_0
    - cctools_osx-64 949.0.1 h6407bdd_23
    - clang 11.1.0 h694c41f_1
    - clang-11 11.1.0 default_he082bbe_1
    - clang_osx-64 11.1.0 hb91bd55_4
    - clangxx 11.1.0 default_he082bbe_1
    - clangxx_osx-64 11.1.0 h7e1b574_4
    - cmake 3.21.3 hdbd2f3e_0
    - compiler-rt 11.1.0 h654b07c_0
    - compiler-rt_osx-64 11.1.0 h8c5fa43_0
    - expat 2.4.1 he49afe7_0
    - gettext 0.19.8.1 hd1a6beb_1008
    - krb5 1.19.2 h289aae4_3
    - ld64_osx-64 530 he8994da_21
    - ldid 2.1.2 h6a69015_3
    - libclang-cpp11.1 11.1.0 default_he082bbe_1
    - libcurl 7.79.1 h97da3c1_1
    - libcxx 12.0.1 habf9029_0
    - libedit 3.1.20191231 h0678c8f_2
    - libev 4.33 haf1e3a3_1
    - libffi 3.4.2 he49afe7_4
    - libiconv 1.16 haf1e3a3_0
    - libidn2 2.3.2 h0d85af4_0
    - libllvm11 11.1.0 hd011deb_2
    - libllvm12 12.0.1 hd011deb_2
    - libnghttp2 1.43.0 hfd382f3_1
    - libssh2 1.10.0 hd3787cc_2
    - libunistring 0.9.10 h0d85af4_0
    - libuv 1.42.0 h0d85af4_0
    - libzlib 1.2.11 h9173be1_1013
    - llvm-tools 11.1.0 hd011deb_2
    - lz4-c 1.9.3 he49afe7_1
    - m4 1.4.18 haf1e3a3_1001
    - make 4.3 h22f3db7_1
    - ncurses 6.2 h2e338ed_4
    - openssl 3.0.0 h0d85af4_2
    - perl 5.32.1 1_h0d85af4_perl5
    - rhash 1.4.1 h35c211d_0
    - tapi 1100.0.11 h9ce4665_0
    - tk 8.6.11 h5dbffcc_1
    - wget 1.20.3 hd3787cc_1
    - xz 5.2.5 haf1e3a3_1
    - zlib 1.2.11 h9173be1_1013
    - zstd 1.5.0 h582d3a0_0
  host:
    - boost-cpp 1.74.0 hf3dc895_5
    - bzip2 1.0.8 h0d85af4_4
    - ca-certificates 2021.10.8 h033912b_0
    - icu 69.1 he49afe7_0
    - krb5 1.19.2 h289aae4_3
    - libcbor 0.8.0 he49afe7_0
    - libcxx 12.0.1 habf9029_0
    - libedit 3.1.20191231 h0678c8f_2
    - libfido2 1.9.0 hd991315_1
    - libgfortran 5.0.0 9_3_0_h6c81a4c_23
    - libgfortran5 9.3.0 h6c81a4c_23
    - libprotobuf 3.15.8 hcf210ce_1
    - libzlib 1.2.11 h9173be1_1013
    - llvm-openmp 12.0.1 hda6cdc1_1
    - lz4-c 1.9.3 he49afe7_1
    - mpi 1.0 openmpi
    - ncurses 6.2 h2e338ed_4
    - openmpi 4.1.1 hd3cd54c_0
    - openssh 8.8p1 h253a579_1
    - openssl 3.0.0 h0d85af4_2
    - tk 8.6.11 h5dbffcc_1
    - xz 5.2.5 haf1e3a3_1
    - zlib 1.2.11 h9173be1_1013
    - zstd 1.5.0 h582d3a0_0
  run:
    - boost-cpp >=1.74.0,<1.74.1.0a0
    - libcxx >=11.1.0
    - libprotobuf >=3.15.8,<3.16.0a0
    - mafft
    - openmpi >=4.1.1,<5.0a0
    - openssh
    - ucsc-fatovcf
test:
  commands:
    - usher --help
    - matOptimize --help
    - matUtils --help
about:
  home: https://github.com/yatisht/usher
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Ultrafast Sample Placement on Existing Trees (UShER)
extra:
  copy_test_source_files: true
  final: true
